<?php
/**
 * @package MRSync for vBulletin
 * @author Jose Argudo Blanco
 * @website www.consultorpc.com
 * @email jose@consultorpc.com
 * @version 1.0.0
 * @date 26/08/11
 * @copyright ConsultorPC
 * @license Proprietary
**/

require_once('./global.php');
require_once(DIR . '/includes/mrsync/mrsyncInit.php');

 // Look for params or set a default
 // 'do' is the default param name generated by vBulletin print_form_header function
 if ( empty($_REQUEST['do']) ) {
    $_REQUEST['do'] = 'showCampaigns';
}

// In this process we show all available campaigns and let users to launch any of them
// Step 1, showCampaigns: this action shows all available campaigns in the Mailing Manager
// Step 2, launch: sends the selected campaign
 switch( $_REQUEST['do'] ) {
    case 'launch':
        // Step 2
        try {
            $settingsId = $mrsyncController->checkIfSavedSettingsExist();           
            $mrsyncLaunchController->init($settingsId);
            $mrsyncLaunchController->launchCampaign($_REQUEST['campaign'], $_REQUEST['groups']);            
        } catch ( Exception $e ) {
            echo '(mrsync_launch_admin.php) An error has been found in step 2: ' . $e->getMessage();
        }
        break;
    case 'showCampaigns':
    default:
        // Step 1
        try {
            $settingsId = $mrsyncController->checkIfSavedSettingsExist();           
            $mrsyncLaunchController->init($settingsId);
            $mrsyncLaunchController->showAvailableCampaigns();            
        } catch ( Exception $e ) {
            echo '(mrsync_launch_admin.php) An error has been found in step 1: ' . $e->getMessage();
        }
}